Subject: bug#24771: 11.89.6; C-c C-c misses one LaTeX run in BibTeX documents

From: "Uwe Siart" <[email-masked]>
Date: Sun, 23 Oct 2016 11:17:47 +0200

On 23 Oct 2016 at 10:28, Mosè Giordano wrote:

> Hi Uwe,
> 
> 2016-10-23 9:36 GMT+02:00 Uwe Siart <[email-masked]>:
> > When I compile documents that use BibTeX by "C-c C-c" or by "C-c C-a"
> > AUCTeX 11.89.6 calls the viewer before all citations are resolved. In
> > other words, "C-c C-c" calls the command "View" even after the warning
> > "There were unresolved citations". AFAIR it worke well in 11.89.5.
> 
> Could you please share a minimal working example (TeX document +
> BibTeX bibliography) reproducing this error?  Between 11.89.5 and
> 11.89.6 I did play with the BibTeX sentinel in order to fix a problem
> similar to the one you're reporting now when bibtex issues warnings.
> Have I messed up something else?

By trying to generate the MWE I think I found the culprit. Perhaps 
nothing to do with 11.89.6 but could have happend before as well.

The described behaviour is observed when there are multiply defined 
labels.

When I compile the following MWE by "C-c C-a" it ends up with undefined 
references (one LaTeX run too few):

\documentclass{article}
\begin{filecontents}{test-a.bib}
@Article{reed:1958:398,
author       = {Reed, John},
title        = {The Multiple Branch Waveguide Coupler},
journal      = {IRE Trans. Microw. Theory Techn.},
year         = {1958},
volume       = {6},
number       = {4},
pages        = {398--403},
month        = {Apr},
}
\end{filecontents}
\begin{document}
Test \cite{reed:1958:398}
\begin{figure}
  \caption{Caption A}
  \label{fig:A}
\end{figure}
\begin{figure}
  \caption{Caption B}
  \label{fig:A}
\end{figure}
\bibliographystyle{plain}
\bibliography{test-a}
\end{document}

-- 
Uwe